package request

// LineChartInfoReq 线性拟合图表预览请求数据
type LineChartInfoReq struct {
	DateType       int    `description:"日期类型"`
	StartDate      string `description:"开始日期"`
	EndDate        string `description:"结束日期"`
	XEdbInfoIdList []int  `description:"X轴的指标id列表"`
	YEdbInfoIdList []int  `description:"Y轴的指标id列表"`
	Source         int    `description:"来源，5：斜率图；6：截距图；7：相关性图"`
}

type AddChartInfoReq struct {
	MultipleGraphConfigId int              `description:"统一配置id,有的话就是编辑，没有则是新增"`
	BatchAddChart         []AddChart       `description:"批量创建图的信息"`
	ExtraConfig           LineChartInfoReq `description:"图表额外配置信息"`
}

type AddChart struct {
	Source          int    `description:"来源，5：斜率图；6：截距图；7：相关性图"`
	ChartClassifyId int    `description:"分类id"`
	ChartName       string `description:"图表名称"`
	LeftMin         string `description:"图表左侧最小值"`
	LeftMax         string `description:"图表左侧最大值"`
	ChartImage      string `description:"图表截图，复制的时候才用到" json:"-"`

	ChartThemeId int    `description:"图表应用主题ID"`
	SourcesFrom  string `description:"图表来源"`
	Instructions string `description:"图表说明"`
	MarkersLines string `description:"标识线"`
	MarkersAreas string `description:"标识区"`
}

// EditChartEnInfoReq 编辑图表英文信息
type EditChartEnInfoReq struct {
	ChartInfoId int    `description:"图表ID"`
	ChartNameEn string `description:"英文图表名称"`
}

// EditChartBaseInfoReq 编辑图表基础信息
type EditChartBaseInfoReq struct {
	ChartInfoId int    `description:"图表ID"`
	ChartName   string `description:"图表名称（根据当前语言版本不同而不同）"`
}
